## bchunk 1.2.0

=== Makefile ===
all: bchunk

# For systems with GCC (Linux, and others with GCC installed):
CC = gcc
LD = gcc
CFLAGS = -Wall -Wstrict-prototypes -O2

# For systems with a legacy CC:
#CC = cc
#LD = cc
#CFLAGS = -O

# For BSD install: Which install to use and where to put the files
INSTALL = install
PREFIX  = /usr/local
BIN_DIR = $(PREFIX)/bin
MAN_DIR = $(PREFIX)/man

.c.o:
	$(CC) $(CFLAGS) -c $<

clean:
	rm -f *.o *~ *.bak core
distclean: clean
	rm -f bchunk

install: installbin installman
installbin:
	$(INSTALL) -m 755 -s -o root -g root bchunk		$(BIN_DIR)
installman:
	$(INSTALL) -m 644 -o bin -g bin bchunk.1	 	$(MAN_DIR)/man1

BITS = bchunk.o

bchunk: $(BITS)
	$(LD) $(LDFLAGS) -o bchunk $(BITS)

bchunk.o:	bchunk.c

=== debian/changelog ===
bchunk (1.2.0-12+deb8u1build0.16.04.1) xenial-security; urgency=medium

  * fake sync from Debian

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 13 Nov 2017 09:05:57 -0500

bchunk (1.2.0-12+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2017-15953, CVE-2017-15954 and CVE-2017-15955.
    bchunk was vulnerable to a heap-based buffer overflow with an resultant
    invalid free when processing a malformed CUE (.cue) file that may lead to
    the execution of arbitrary code or a application crash. (Closes: #880116)

 -- Markus Koschany <apo@debian.org>  Wed, 08 Nov 2017 19:41:33 +0100

bchunk (1.2.0-12) unstable; urgency=low

  * New maintainer. (Closes: #540585)
  * Clarify input and output formats. (Closes: #503151)
    - Thanks to Reuben Thomas for the suggestion. 
  * Add versioned dependency for debhelper (>= 7.0.50~).
  * Remove quilt dependency and make source format '3.0 (quilt)'.
  * make debhelper compatibility to 9 for hardened build flags.
  * Add vcs fields.
  * Add watch file.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Fri, 09 Mar 2012 16:28:08 +0530

bchunk (1.2.0-11) unstable; urgency=low

  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Aug 2009 01:24:35 +0200

bchunk (1.2.0-10) unstable; urgency=low

  * Sorting depends.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 02:11:29 +0200

bchunk (1.2.0-9) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards version 3.8.2.
  * Using quilt rather than dpatch.
  * Updating year in copyright.
  * Prefixing debhelper files with package name.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Jul 2009 00:17:59 +0200

bchunk (1.2.0-8) unstable; urgency=low

  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields to control file.
  * Upgrading package to debhelper 7.
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 03 Jul 2008 15:41:00 +0200

bchunk (1.2.0-7) unstable; urgency=low

  * Bumped to new policy.
  * Using new homepage field in control.
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 11:40:00 +0100

bchunk (1.2.0-6) unstable; urgency=low

  * Fixed lintian warning.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 May 2007 14:17:00 +0200

bchunk (1.2.0-5) unstable; urgency=low

  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Mon, 22 Jan 2007 11:53:00 +0100

bchunk (1.2.0-4) unstable; urgency=low

  * Piotr Kaczuba <pepe@attika.ath.cx> provided a simpler patch, hence replaced
    01-track-size.dpatch with the new one.

 -- Daniel Baumann <daniel@debian.org>  Fri, 08 Sep 2006 20:18:00 +0200

bchunk (1.2.0-3) unstable; urgency=low

  * Added 01-track-size.dpatch from Piotr Kaczuba <pepe@attika.ath.cx> to fix
    wrong track size calculation when having multiple tracks in one image
    (Closes: #261274).

 -- Daniel Baumann <daniel@debian.org>  Fri, 08 Sep 2006 14:45:00 +0200

bchunk (1.2.0-2) unstable; urgency=low

  * New maintainer (Closes: #385964).
  * Redone debian directory based on new debhelper templates, additionally:
    - correcting debian/copyright, it's GPL2+, not GPL2.
    - using the common debian/copyright order (Closes: #290072).

 -- Daniel Baumann <daniel@debian.org>  Tue, 05 Sep 2006 07:17:00 +0200

bchunk (1.2.0-1) unstable; urgency=low

  * New upstream version 1.2.0. (Closes: #259785, #254397)
    - Included a man page patch from the openbsd port of bchunk (adding
      a note about ISO/VCD), and s/ISO9110/ISO9660/. The changes were
      for openbsd by Dave Watson <dave@elephantride.org>.
    - Patch from Matthew Green <mrg@eterna.com.au> for a new option -r,
      which makes binchunker output MODE2/2352 tracks in raw format,
      from offset 0 for 2352 bytes. (Closes: #259798)

 -- Sam Powers <smp@debian.org>  Mon, 05 Jul 2004 16:00:03 -0700

bchunk (1.1.1-2) unstable; urgency=low

  * Updated upstream email in debian/copyright
  * Updated a thinko in the manpage

 -- Sam Powers <smp@debian.org>  Fri, 12 Apr 2002 21:12:04 -0700

bchunk (1.1.1-1) unstable; urgency=low

  * New upstream release!
    - Error checking while reading the bin file [This was #104280]
    - psxtruncate was always enabled by default - made -p work
    - Fixed .spec file to compile on other distributions
  * This also includes upstream's real live manual page..

 -- Sam Powers <smp@debian.org>  Tue, 07 Aug 2001 16:47:03 -0700

bchunk (1.0.0-2) unstable; urgency=low

  * Fixed man page, mandb shouldn't complain anymore (Closes: #103710)
  * Removed built bchunk binary from package, duhh..
  * Now handles read errors. Thanks, Oskar! (Closes: #104280)

 -- Sam Powers <smp@debian.org>  Wed, 11 Jul 2001 09:35:31 -0700

bchunk (1.0.0-1) unstable; urgency=low

  * Initial Release. (Closes #99362.)

 -- Sam Powers <smp@debian.org>  Thu, 31 May 2001 04:19:37 -0700

=== debian/control ===
Source: bchunk
Section: otherosfs
Priority: optional
Maintainer: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Build-Depends: debhelper (>= 9.0~)
Standards-Version: 3.9.3
Homepage: http://he.fi/bchunk/
Vcs-Git: git://git.debian.org/git/collab-maint/bchunk.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/bchunk.git

Package: bchunk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CD image format conversion from bin/cue to iso/cdr
 The bchunk package contains a UNIX/C rewrite of the BinChunker program.
 BinChunker converts a CD image in a .bin/.cue format (sometimes .raw/.cue) into
 a set of .iso and .cdr/.wav tracks. The .bin/.cue format is used by some
 non-UNIX CD-writing software, but is not supported on most other CD-writing
 programs.

## bchunk 1.2.2

=== debian/changelog ===
bchunk (1.2.2-2) unstable; urgency=medium

  * Apply patch of Helmut Grohne, fixes FTCBS. Thanks. (Closes: #850912)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 21 Feb 2019 10:27:32 +0100

bchunk (1.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.2.1.
  * Bump debhelper version to 11.
  * debian/patches: dropped, incorporated by upstream.
  * debian/rules: updated. (Closes: #666219)
  * Disable strip during install. (Closes: #436576)
  * debian/control: add myself as co-maintainer. (Closes: #918662)
  * debian/copyright: updated debian maintainers.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 22 Oct 2018 23:49:30 +0200

bchunk (1.2.0-12.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2017-15953, CVE-2017-15954 and CVE-2017-15955.
    bchunk was vulnerable to a heap-based buffer overflow with an resultant
    invalid free when processing a malformed CUE (.cue) file that may lead to
    the execution of arbitrary code or a application crash.

 -- Markus Koschany <apo@debian.org>  Mon, 06 Nov 2017 17:35:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Praveen Arimbrathodiyil <pravi.a@gmail.com>
-Build-Depends: debhelper (>= 9.0~)
-Standards-Version: 3.9.3
+Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.1
 Homepage: http://he.fi/bchunk/
-Vcs-Git: git://git.debian.org/git/collab-maint/bchunk.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/bchunk.git
 
 Package: bchunk
 Architecture: any

## bchunk 1.2.2%2Bgit20220715%2Bds

=== debian/changelog ===
bchunk (1.2.2+git20220715+ds-2) unstable; urgency=medium

  * Bump standards version to 4.6.2.
  * d/control: activate Vcs fields.
  * d/copyright: bump copyright year.
  * d/upstream/metadata: added.

 -- Gürkan Myczko <tar@debian.org>  Tue, 28 Feb 2023 13:21:37 +0100

bchunk (1.2.2+git20220715+ds-1) unstable; urgency=medium

  * New upstream version from fork. (Closes: #261278, #271285)
  * Bump standards version to 4.6.1.
  * Bump debhelper version to 13, drop d/compat.
  * Update maintainer address.
  * d/copyright: updated authors.

 -- Gürkan Myczko <tar@debian.org>  Fri, 15 Jul 2022 08:38:46 +0200

## bchunk 1.2.2+git20220715+ds

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,9 @@
 
 # For BSD install: Which install to use and where to put the files
 INSTALL = install
+INSTALL_DIR = $(INSTALL) -d -m 0755
+INSTALL_DATA = $(INSTALL) -m 0644
+INSTALL_EXEC = $(INSTALL) -m 0755
 PREFIX  = /usr/local
 BIN_DIR = $(PREFIX)/bin
 MAN_DIR = $(PREFIX)/man
@@ -26,14 +29,16 @@
 
 install: installbin installman
 installbin:
-	$(INSTALL) -m 755 -s -o root -g root bchunk		$(BIN_DIR)
+	$(INSTALL_DIR) $(DESTDIR)$(BIN_DIR)
+	$(INSTALL_EXEC) -s bchunk $(DESTDIR)$(BIN_DIR)
 installman:
-	$(INSTALL) -m 644 -o bin -g bin bchunk.1	 	$(MAN_DIR)/man1
+	$(INSTALL_DIR) $(DESTDIR)$(MAN_DIR)/man1
+	$(INSTALL_DATA) bchunk.1 $(DESTDIR)$(MAN_DIR)/man1
 
 BITS = bchunk.o
 
 bchunk: $(BITS)
-	$(LD) $(LDFLAGS) -o bchunk $(BITS)
+	$(LD) -o bchunk $(BITS) $(LDFLAGS)
 
 bchunk.o:	bchunk.c

=== debian/changelog ===
bchunk (1.2.2+git20220715+ds-4) unstable; urgency=medium

  * d/rules: comment CFLAGS. (Closes: #1119359)
  * Bump standards version to 4.7.2.
  * d/control: drop Rules-Requires-Root.
  * Ack NMU.
  * d/copyright: bump year.
  * d/watch: upgrade to version 5.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Dec 2025 19:16:35 +0000

bchunk (1.2.2+git20220715+ds-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when assembling the package.
    (Closes: #1089290)

 -- Niels Thykier <niels@thykier.net>  Fri, 03 Jan 2025 06:19:31 +0000

bchunk (1.2.2+git20220715+ds-3) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 13:49:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Praveen Arimbrathodiyil <pravi.a@gmail.com>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/bchunk
+Vcs-Git: https://salsa.debian.org/debian/bchunk.git
 Homepage: http://he.fi/bchunk/
 
 Package: bchunk

=== debian/watch ===
Version: 5

Source: http://he.fi/bchunk/
Matching-Pattern: bchunk-(.*)\.tar\.gz
